JasPer Image Processing/Coding Tool Kit
=======================================

This is the source distribution for JasPer.  JasPer is a collection of
software (i.e., a library and application programs) for the coding and
manipulation of images.  This software can handle image data in a variety
of formats.  One such format supported by JasPer is the JPEG-2000 format
defined in ISO/IEC 15444-1.

The complete licensing terms for the JasPer software can be found in the
file named "LICENSE.txt" in the top level directory of this software
distribution.  Any use of this software contrary to the terms of the
license is strictly prohibited.  Recent changes made to the software
can be found in the file "ChangeLog".  Detailed documentation on the
JasPer software can be found in the JasPer Software Reference Manual.
This manual is located in the "doc" directory, and includes useful
information such as:

  - how to build, install, and use the software,
  - how to submit report bugs, and
  - where to find additional information about the software.

The official web site for the JasPer software has the following URL:

  - https://jasper-software.github.io/jasper

The official Git repository for the JasPer software is hosted by GitHub.
The URL for the GitHub site is as follows:

  - https://github.com/jasper-software/jasper

The Git repository can be accessed via the URL:

  - https://github.com/jasper-software/jasper.git

Information on how to install this software can be found in the file
INSTALL.txt.

The reference manual for this software can be found in the directory doc.
The manual is provided in two formats:

  1. HTML format in the directory doc/html
     (Open the file doc/html/index.html in your web browser.)

  2. PDF format in doc/manual.pdf

The reference manual for the JasPer software is also available online at:

  - https://jasper-software.github.io/jasper-manual

A detailed introduction to the JPEG-2000 standard can be found in:

  - doc/jpeg2000.pdf

All bug reports should be submitted via the issue-tracking system provided
by GitHub.  To submit a bug report, go the following URL and click on the
"New issue" button:

  - https://github.com/jasper-software/jasper/issues

Please do not submit bug reports via email, as bug reports that are not
submitted via the above issue-tracking system on GitHub may be lost.
